Package: org.gradle.tooling.model.eclipse

## [Java] Interface EclipseProject

- org.gradle.tooling.model.eclipse.EclipseProject

- All Superinterfaces:
    HasGradleProject, Model, HierarchicalEclipseProject, HierarchicalElement, Element

  The complete model of an Eclipse project.

  Note that the names of Eclipse projects are unique, and can be used as an identifier for the project.

  Since:
    1.0-milestone-3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DomainObjectSet<? extends EclipseBuildCommand>` | `getBuildCommands()` Returns the Eclipse build commands configured on the project.
    `DomainObjectSet<? extends EclipseProject>` | `getChildren()` {@inheritDoc}
    `DomainObjectSet<? extends ExternalDependency>` | `getClasspath()` Returns the external dependencies which make up the classpath of this project.
    `GradleProject` | `getGradleProject()` The gradle project that is associated with this project.
    `EclipseProject` | `getParent()` {@inheritDoc}
    `DomainObjectSet<? extends EclipseProjectNature>` | `getProjectNatures()` Returns the Eclipse natures configured on the project.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface HasGradleProject` | `getGradleProject`
    `interface HierarchicalEclipseProject` | `getChildren, getLinkedResources, getParent, getProjectDependencies, getProjectDirectory, getSourceDirectories`
    `interface HierarchicalElement` | `getChildren, getParent`
    `interface Element` | `getDescription, getName`

- - ### Method Detail

    - #### @Incubating public DomainObjectSet<? extends EclipseBuildCommand> getBuildCommands()

      Returns the Eclipse build commands configured on the project.

      If the Gradle project applies a plugin which is recognized by 'eclipse' plugin then the corresponding build command will be automatically part of the result. For example, if the project applies the 'java' plugin the result will contain the `"org.eclipse.jdt.core.javabuilder"` build command. The 'scala' plugin behaves similarly: when applied then the result will contain the `"org.scala-ide.sdt.core.scalabuilder"` entry.

      The result can be customized via the 'eclipse' plugin configuration.

      Returns:
        The list of Eclipse build commands.
      Since:
        2.9

    - #### public DomainObjectSet<? extends EclipseProject> getChildren()

      {@inheritDoc}

    - #### public DomainObjectSet<? extends ExternalDependency> getClasspath()

      Returns the external dependencies which make up the classpath of this project.

      Returns:
        The dependencies. Returns an empty set if the project has no external dependencies.
      Since:
        1.0-milestone-3

    - #### public GradleProject getGradleProject()

      The gradle project that is associated with this project. Typically, a single Eclipse project corresponds to a single gradle project.

      See HasGradleProject

      Returns:
        associated gradle project
      Since:
        1.0-milestone-5

    - #### public EclipseProject getParent()

      {@inheritDoc}

    - #### @Incubating public DomainObjectSet<? extends EclipseProjectNature> getProjectNatures()

      Returns the Eclipse natures configured on the project.

      If the Gradle project applies a plugin which is recognized by 'eclipse' plugin then the corresponding nature will be automatically part of the result. For example, if the project applies the 'java' plugin the result will contain the `"org.eclipse.jdt.core.javanature"` entry. The 'scala' plugin behaves similarly: when applied then the result will contain the `"org.scala-ide.sdt.core.scalanature"` entry.

      The result can be customized via the 'eclipse' plugin configuration.

      Returns:
        The list of Eclipse project natures.
      Since:
        2.9